Bug 9333 - Confirm close JavaScript alerts is not used
Summary: Confirm close JavaScript alerts is not used
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-31 14:08 UTC by Owen Leonard
Modified: 2015-12-03 22:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9333: Remove useless JS code - confirm close basket (1.57 KB, patch)
2015-04-08 10:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9333: Remove useless JS code - confirm close basket (1.88 KB, patch)
2015-04-09 05:47 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 9333: Remove useless JS code - confirm close basket (1.96 KB, patch)
2015-04-10 14:16 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-12-31 14:08:55 UTC
The templates contain JavaScript intended to warn the user before they close or reopen a basket. They never fire because the templates don't trigger them anywhere. If these warnings are still useful they should be enabled.
Comment 1 Katrin Fischer 2014-07-12 13:07:06 UTC
Hi Owen, 

I think those are probably not in Boostrap - can we close the bug?
Comment 2 Katrin Fischer 2014-11-10 21:46:42 UTC
Ok, I misunderstood - this is about baskets in acquisitions.

If you try to reopen a basket, a javascript alert is triggered.
But when you close a basket, there is a non-javascript alert.
Comment 3 Jonathan Druart 2015-04-08 10:51:24 UTC Comment hidden (obsolete)
Comment 4 M. Tompsett 2015-04-09 05:47:54 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2015-04-10 14:16:29 UTC
Created attachment 37654 [details] [review]
[PASSED QA] Bug 9333: Remove useless JS code - confirm close basket

On closing a basket, the librarian is redirect to a new page for the
confirmation, the JavaScript confirmation is useless.

This code is never triggered and can be removed.

Test plan:
Without this patch, confirm you don't get a JavaScript confirmation
popup on closing a basket
With this patch, confirm you don't get any JavaScript error on
closing/reopening a basket.

NOTE: acqui/basket.tt is only used by acqui/basket.pl
      git grep "confirm_close" | grep -v "\.po:"
      doesn't show anything else. Reopening only works on
      basketgroups, not baskets. Unable to trigger any errors
      as expected and desired. :)

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Tomás Cohen Arazi 2015-04-13 14:55:38 UTC
Patch pushed to master.

Thanks Jonathan!